{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "@DatatourismeWebApp/public_layout.html.twig" %}
{% form_theme form with ['DatatourismeWebAppBundle:Form:bootstrap_3_layout.html.twig', _self] %}

{% block content_container %}
    <div class="container" style="padding-top: 5%;padding-bottom: 5%;">
        <div class="row">
            <div class="col-lg-offset-2 col-lg-4 col-sm-6">
                <div class="box box-widget m-b-0">
                    <div class="box-header with-border">
                        <h3 class="box-title">{{ 'title.register' | trans }}</h3>
                    </div>
                    <div class="box-body p-15 text-muted">
                        <p>{{ 'text.register_1' | trans }}</p>
                        <p><strong>{{ 'text.register_2' | trans }}</strong></p>
                        <p>{{ 'text.register_3' | trans }}</p>
                        <p>{{ 'text.register_4' | trans }}</p>
                        <p class="m-b-0"><em>{{ 'text.register_5' | trans }}</em></p>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="box box-widget m-b-0">
                    <div class="box-body p-15">
                        {{ form_start(form) }}
                            {{ form_errors(form) }}
                            {{ form_row(form.lastName, {label: false}) }}
                            {{ form_row(form.firstName, {label: false}) }}
                            {{ form_row(form.email, {label: false}) }}
                            {{ form_row(form.zip, {label: false}) }}
                            {{ form_row(form.country, {label: false}) }}
                            {{ form_row(form.type, {label: false}) }}
                            {{ form_row(form.organization, {label: false}) }}
                            {{ form_row(form.website, {label: false}) }}
                            <button type="submit" class="btn btn-primary btn-block">{{ 'btn.register' | trans }}</button>
                        {{ form_widget(form._token) }}
                        {{ form_end(form,  {'render_rest': false}) }}
                    </div>
                    <div class="box-footer">
                        <a href="{{ path('security.login') }}">{{ 'link.login_back' | trans }}</a><br>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}